Aspose.Words for JasperReports 23.12 Release Notes

Important Note:

Starting from release 1.9.0 there are several versions of JAR library (necessary for better support of older versions of JasperServer and JasperReports):

For
JasperServer
For
JasperReports
Use the following JAR library
7.8.0 … 8.0.06.12.0… 6.20.5aspose.words.jasperreports-23.12.0-7.8.0-8.0.0.jar
7.1.0 … 7.5.06.5.0 … 6.11.0aspose.words.jasperreports-23.12.0-7.1.0-7.5.0.jar
6.4.2 … 6.4.36.4.2 … 6.4.21aspose.words.jasperreports-23.12.0-6.4.2-6.4.3.jar
6.3.0 … 6.4.06.3.0 … 6.4.1aspose.words.jasperreports-23.12.0-6.3.0-6.4.0.jar
Note that there is no more support of JasperReports 6.2.1 and lower versions.

Please copy ONLY ONE jar library according to the version of installed JasperReports.

Full List of Issues Covering all Changes in this Release

KeySummaryCategory
WORDSJR-362Upgrade to the latest version of Aspose.Words for Java (23.12)New feature
WORDSJR-361Text inside {} displayed as Error! Bookmark not definedBug